package com.ejie.aa21b.seguridad;

import com.ejie.aa21b.ldap.Aa21bPersonaXLNET;
import com.ejie.aa21b.model.Aa21b15s01;

public class Aa21bPersonaSesion {

	private Aa21bPersonaXLNET personaXLNET;
	private Aa21b15s01 personaAplicacion;

	private boolean esAdministrador;
	private boolean esConsultador;
	private boolean esTramitador;
	private boolean esDeDireccion;

	private String servicio;

	public Aa21bPersonaXLNET getPersonaXLNET() {
		return personaXLNET;
	}

	public void setPersonaXLNET(Aa21bPersonaXLNET personaXLNET) {
		this.personaXLNET = personaXLNET;
	}

	public String getServicio() {
		return servicio;
	}

	public void setServicio(String servicio) {
		this.servicio = servicio;
	}

	public boolean isEsAdministrador() {
		return esAdministrador;
	}

	public void setEsAdministrador(boolean esAdministrador) {
		this.esAdministrador = esAdministrador;
	}

	public boolean isEsConsultador() {
		return esConsultador;
	}

	public void setEsConsultador(boolean esConsultador) {
		this.esConsultador = esConsultador;
	}

	public boolean isEsTramitador() {
		return esTramitador;
	}

	public void setEsTramitador(boolean esTramitador) {
		this.esTramitador = esTramitador;
	}

	public boolean isEsDeDireccion() {
		return esDeDireccion;
	}

	public void setEsDeDireccion(boolean esDeDireccion) {
		this.esDeDireccion = esDeDireccion;
	}

	public Aa21b15s01 getPersonaAplicacion() {
		return personaAplicacion;
	}

	public void setPersonaAplicacion(Aa21b15s01 personaAplicacion) {
		this.personaAplicacion = personaAplicacion;
	}
}